## enigmail 0.94.2

=== build/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 include $(DEPTH)/config/autoconf.mk
 
 XPI_MODULE	= ipc
-XPI_MODULE_VERS = 1.1.2
+XPI_MODULE_VERS = 1.1.3
 
 MODULE		= ipc
 LIBRARY_NAME	= ipc
