## enigmail 1.6

=== debian/changelog ===
enigmail (2:1.6-4) unstable; urgency=low

  * function properly on GNU/kFreeBSD (Closes: #726517)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Nov 2013 03:10:20 -0500

enigmail (2:1.6-3) unstable; urgency=low

  * drop -fstack-protector and -Wcast-align from ia64 builds
  * use g++ for linking libenigmime.so
  * fix genxpi for GNU/kFreeBSD

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Nov 2013 02:53:56 -0500

enigmail (2:1.6-2) unstable; urgency=low

  * re-enable support for icedove 17
  * change maintainer to pkg-mozext-maintainers
  * release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Nov 2013 13:05:47 -0500

enigmail (2:1.6-1) experimental; urgency=low

  * new upstream version.
    (Closes: #728099, #729245, #729246)
  * overhaul packaging for simplification
    (temporarily dropping support for icedove < 19)
    (Closes: #729001)
  * debian/copyright: make machine-readable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 09 Nov 2013 00:21:28 -0500

enigmail (2:1.5.2+id17-1) unstable; urgency=low

  * New upstream version.
  * Refresh patches, drop
   - Fix-upstream-version-in-install.rdf.patch, fixed upstream
   - Fix-for-false-positives-in-signature-verification.patch, was already
    upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 15 Sep 2013 07:54:52 -0400

enigmail (2:1.5.1+id17-4) unstable; urgency=low

  * Add patch to fix false positives on signature verification

 -- Willi Mann <willi@debian.org>  Mon, 08 Jul 2013 18:39:07 +0200

enigmail (2:1.5.1+id17-3) unstable; urgency=low

  * Upload to unstable
  * d/control: Update Homepage: field and put it into general paragraph
  * d/control: Update Standards-Version: 3.9.3 -> 3.9.4

 -- Willi Mann <willi@debian.org>  Mon, 20 May 2013 12:16:19 +0200

enigmail (2:1.5.1+id17-2) experimental; urgency=low

  * Add patch to fix upstream version in install.rdf (1.6a1pre -> 1.5.1,
    closes: #700890)
  * Add Recommends on gnupg-agent (closes: #700114)
  * Add patch to support multiarch python during build process
    (closes: #704691, thanks to Robie Basak)

 -- Willi Mann <willi@debian.org>  Fri, 03 May 2013 19:20:19 +0200

enigmail (2:1.5.1+id17-1) experimental; urgency=low

  * Imported Upstream version 1.5.1+id17
  * Refresh patches, drop
    - avoid-truncation-of-last-line.patch (fixed upstream differently)
    - fix-non-ascii-inline.patch (included upstream)
  * Prepare snapshot changelog

 -- Willi Mann <willi@debian.org>  Thu, 07 Feb 2013 18:29:55 +0100

enigmail (2:1.5.0+id17-2) experimental; urgency=low

  * avoid truncating the last lines of PGP/MIME decrypted messages
    (Closes: #698031)
  * added myself to uploaders.
  * switch packaging to 3.0 (quilt)
  * update to debhelper 9
  * default experimental packaging to use PGP/MIME (Closes: #698084)
  * fix display of non-ASCII characters in some inline PGP messages
    (Closes: #698080)
  * avoid clearing CFLAGS and LDFLAGs when building binary components
    (see https://wiki.debian.org/Hardening)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Jan 2013 21:02:23 -0500

enigmail (2:1.5.0+id17-1) experimental; urgency=low

  * Imported Upstream version 1.5.0+id17 (closes: #696884)
  * Refresh patches, get rid of ipc_rename and install.rdf patch, no longer needed

 -- Willi Mann <willi@debian.org>  Sat, 29 Dec 2012 10:36:08 +0100

enigmail (2:1.4.6+id17-1) experimental; urgency=low

  * Imported Upstream version 1.4.6+id17
    - fixes incompatibility with icedove 17 (closes: #695186)
  * Refresh patches, drop fix-xpidl-path patch as patch no longer applies
  * d/rules: --disable-webrtc to really avoid webm dependencies
  * Add patch that adds --cachedir=. to xpidl calls
  * Bump build-depends on icedove-dev to 17
  * install.rdf: Add patch to depend on at least icedove 17

 -- Willi Mann <willi@debian.org>  Sat, 15 Dec 2012 08:46:03 +0100

enigmail (2:1.4.6+id16-1) experimental; urgency=low

  * Imported Upstream version 1.4.6+id16

 -- Willi Mann <willi@debian.org>  Sun, 11 Nov 2012 11:31:04 +0100

enigmail (2:1.4.5+id16-1) experimental; urgency=low

  * pack-upstream.sh: Add script to properly pack tarball
  * Imported Upstream version 1.4.5+id16 (closes: #692062)
  * d/control: Update dependencies
  * Refresh patches

 -- Willi Mann <willi@debian.org>  Tue, 06 Nov 2012 22:58:32 +0100

enigmail (2:1.4.1exp-1) experimental; urgency=low

  * Imported Upstream version 1.4.1exp
  * install.rdf: Require icedove 11 or iceape 2.8
  * Update my email address to willi@debian.org
  * Build-Depend on icedove-dev >= 11

 -- Willi Mann <willi@debian.org>  Wed, 09 May 2012 22:38:14 +0200

enigmail (2:1.4.1-2) unstable; urgency=low

  * install.rdf: 1.4.1 works with iceape 2.7
    (Closes: 161046, 197339, 376572, 401703, 479854)

 -- Willi Mann <willi@wm1.at>  Sun, 06 May 2012 15:00:12 +0200

enigmail (2:1.4.1-1) unstable; urgency=low

  * d/control: bump icedove-dev build-dependency
  * d/control: Add Homepage: field
  * d/control: Add ${xpi:Breaks} (Closes: 664427)
  * Imported Upstream version 1.4.1
  * Refresh patches, fix version number in install.rdf

 -- Willi Mann <willi@wm1.at>  Fri, 13 Apr 2012 22:06:48 +0200

enigmail (2:1.4-1) unstable; urgency=low

  * New upstream version 1.4 (closes: #665712)
  * Remove no longer needed patch "nonexisting methods"
  * d/control: Standards-Version 3.9.2 => 3.9.3 (no changes)
  * d/control: Add ${xpi:Depends}

 -- Willi Mann <willi@wm1.at>  Sun, 25 Mar 2012 18:10:15 +0200

enigmail (2:1.3.4-2) unstable; urgency=low

  * debian/rules: Use chrome-format "omni". This fixes incomplete locales, 
    which fixes enigmail not working under some locales. Thanks to 
    Patrick Brunschwig for the hint. (Closes: #656306, #656629)

 -- Willi Mann <willi@wm1.at>  Sun, 22 Jan 2012 17:32:21 +0100

enigmail (2:1.3.4-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Add some *.pyc files to debian/clean


