=== debian/changelog ===
enigmail (2:1.7-0ubuntu1) utopic; urgency=low

  * New upstream release v1.7 to support Thunderbird 31

  * No longer requires a Mozilla build system, so we use the upstream
    tarball directly now
    - update debian/rules
    - drop libgtk2.0-dev, libidl-dev, libdbus-glib-1-dev, libnotify-dev,
      libasound2-dev, libxt-dev, autoconf2.13 and mesa-common-dev
      build-depends, as these were only there because we were using a hacked
      Mozilla build system
  * Update to source format 3.0
  * Drop thunderbird-dev build-depend - the only binary code in enigmail now
    uses ctypes, so we don't need the SDK
  * Drop debian/patches/no_libxpcom.patch - it doesn't build a binary component
    now
  * Drop debian/patches/use_sdk.patch - there's no dependency on the
    Thunderbird SDK now

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Jan 2014 11:42:56 +0000

enigmail (2:1.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release v1.5.2 for Thunderbird 24

  * Build enigmail using a stripped down Thunderbird 17 build system, as it's
    now quite difficult to build the way we were doing previously, with the
    latest Firefox build system
  * Add debian/patches/no_libxpcom.patch - Don't link against libxpcom, as it
    doesn't exist anymore (but exists in the build system)
  * Add debian/patches/use_sdk.patch - Use the SDK version of xpt.py and
    friends
  * Drop debian/patches/ipc-pipe_rename.diff (not needed anymore)
  * Drop debian/patches/makefile_depth.diff (not needed anymore)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Sep 2013 16:02:15 +0100

enigmail (2:1.4.6-0ubuntu1) raring; urgency=low

  * New upstream release v1.4.6
  * Drop unneeded patches
    - remove debian/patches/correct-version-number.diff
    - remove debian/patches/dont_register_cids_multiple_times.diff
    - update debian/patches/series
  * Support building in an objdir
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Nov 2012 16:36:01 +0000

enigmail (2:1.4.5-0ubuntu1) quantal-security; urgency=low

  * New upstream release v1.4.5
    - LP: #1062587

  * Add patch to set the correct version number. The version was not changed
    from 1.5a1pre to 1.4.5 when the tarball was built from rev 24e938
    - add debian/patches/correct-version-number.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Sep 2012 13:42:31 +0100

enigmail (2:1.4.4-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.4

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Aug 2012 16:21:22 +0100

enigmail (2:1.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.3

  * Refresh patches
    - update debian/patches/makefile_depth.diff
    - update debian/patches/ipc-pipe_rename.diff
    - update debian/patches/dont_register_cids_multiple_times.diff

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Jul 2012 20:34:11 +0100

enigmail (2:1.4.2-0ubuntu2) quantal; urgency=low

  * Rebuild against the current thunderbird beta

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jun 2012 23:52:10 +0100

enigmail (2:1.4.2-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.2

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 May 2012 14:05:04 +0100

enigmail (2:1.4.1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream release v1.4.1
    - LP: #987305
  * Fix LP: #968122 - Localization messed up

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 18 Apr 2012 15:06:04 +0100

enigmail (2:1.4-0ubuntu1) precise; urgency=low

  * New upstream release v1.4
  * Drop debian/patches/compat_bump.diff

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 04 Mar 2012 22:44:33 +0000

enigmail (2:1.3.5-0ubuntu3) precise; urgency=low

  * Rebuild against the current beta
  * Bump maxVersion to 11.*:
    - add debian/patches/compat_bump.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 07 Feb 2012 13:34:09 +0000

enigmail (2:1.3.5-0ubuntu2) precise; urgency=low

  * Fix LP: #886781 - build with --enable-chrome-format=omni, as this is
    what the chrome.manifest assumes (fixes chrome registration issues
    breaking non-English locales)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 30 Jan 2012 18:59:44 +0000

enigmail (2:1.3.5-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.5
  * Drop patches that we don't need after picking up a build system refresh:
    - remove debian/patches/prbool_to_bool_conversion.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Jan 2012 14:34:41 +0000

enigmail (2:1.3.4-0ubuntu2) precise; urgency=low

  * Rebuild for Thunderbird 10
  * Ensure that the build system handles the PRBool -> bool transition
    - add debian/patches/prbool_to_bool_conversion.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jan 2012 17:51:22 +0000

enigmail (2:1.3.4-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.4
  * Drop debian/patches/new_idl_parser_compat.patch, as this is fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Dec 2011 11:08:24 +0000

enigmail (2:1.3.3-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.3
  * Add patch to define constants in nsIEnigmail.idl as unsigned long, so
    that the new IDL parser doesn't fall over
    - add debian/patches/new_idl_parser_compat.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Nov 2011 21:30:26 +0000
