=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Willi Mann <willi@wm1.at>
Build-Depends: debhelper (>= 7.0.50~),
    mozilla-devscripts,
    python
Standards-Version: 3.9.1

Package: enigmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.
