=== debian/changelog ===
enigmail (2:1.7.2-3) unstable; urgency=medium

  * d/rules - clean: Fake config/autoconf.mk if it doesn't exist, don't call
    configure. Fixes FTBFS on ppc64el. closes: #760845
  * Make enigmail use the right XPCOM_TARGET name on ppc64 archs.

 -- Willi Mann <willi@debian.org>  Sun, 23 Nov 2014 15:47:07 +0100

enigmail (2:1.7.2-2) unstable; urgency=medium

  * Update config.* files by using autotools-dev. closes: #760845
  * Update Standards-Version 3.9.5 -> 3.9.6
  * Make enigmail use the right XPCOM_TARGET name on arm{el,hf}, powerpc, and
    mipsel. Closes: #765937 (hopefully)

 -- Willi Mann <willi@debian.org>  Sun, 02 Nov 2014 19:12:49 +0100

enigmail (2:1.7.2-1) unstable; urgency=medium

  * Imported Upstream version 1.7.2
    - Fixes CVE-2014-5369 "an email with only Bcc recipients is sent in
      plain text"
  * Drop configure versioning patch

 -- Willi Mann <willi@debian.org>  Sun, 31 Aug 2014 18:25:45 +0200

enigmail (2:1.7-1) unstable; urgency=medium

  * New upstream release
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Jul 2014 11:48:25 -0400

enigmail (2:1.7~git0.20140707-1) experimental; urgency=medium

  * upstream 1.7 beta release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Jul 2014 17:24:00 -0400

enigmail (2:1.6+git0.20140323-2) unstable; urgency=medium

  * clean up debian/copyright
  * move to unstable after extensive use.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 21 Apr 2014 14:03:43 -0400

enigmail (2:1.6+git0.20140323-1) experimental; urgency=low

  * new snapshot release from upstream
   - radically simplify debian/rules to use new upstream build system
   - builds only against icedove 24 or later (Closes: #742135)
   - drop all patches except for PGP/MIME default; adopted or 
     obsoleted upstream
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Mar 2014 10:06:58 -0400
