=== debian/watch ===
version=3
# Homepage  Pattern  [Version  [Action]]
opts=pgpsigurlmangle=s/$/.asc/ http://enigmail.mozdev.org/download/source.php.html .*/enigmail-([\d\.]*).tar.gz
