=== ipc/Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 ifneq ($(OS_TARGET),WINNT)
   DIRS += src
 endif
+
+#ifeq ($(TESTS),yes)
+#  DIRS += tests
+#endif
 
 .PHONY: dirs $(DIRS)
