=== package/Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 DEPTH		= ..
 
 include $(DEPTH)/config/autoconf.mk
+
+TST = 
+
+ifeq ($(TESTS),yes)
+  TST = tst
+endif
 
 PREF_JS_EXPORTS = $(srcdir)/prefs/enigmail.js
 
@@ -23,11 +29,20 @@
            gpgAgentHandler.jsm \
            keyManagement.jsm \
            pipeConsole.jsm \
+           enigmailCore.jsm \
            enigmailCommon.jsm \
+           enigmailConvert.jsm \
+           passwordCheck.jsm \
            installGnuPG.jsm \
+           fixExchangeMsg.jsm \
            mimeVerify.jsm
 
-all: $(PREFFILES) $(COMPFILES) $(MODFILES)
+all: deploy $(TST)
+
+tst:
+	$(MAKE) -C tests
+
+deploy: $(PREFFILES) $(COMPFILES) $(MODFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/components $(COMPFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/defaults/preferences $(PREFFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/modules $(MODFILES)
