=== ipc/src/Makefile ===
--- 
+++ 
@@ -25,6 +25,11 @@
 CFLAGS += -fPIC
 endif
 
+ifeq ($(OS_TARGET),DragonFly)
+LDFLAGS += -shared -Wl,-Bsymbolic
+CFLAGS += -fPIC
+endif
+
 ifeq ($(OS_TARGET),OpenBSD)
 LDFLAGS += -shared -Wl,-Bsymbolic
 CFLAGS += -fPIC
@@ -41,6 +46,11 @@
 endif
 
 ifeq ($(OS_TARGET),Linux)
+LDFLAGS += -shared -Wl,-Bsymbolic
+CFLAGS += -fPIC
+endif
+
+ifeq ($(OS_TARGET),gnu)
 LDFLAGS += -shared -Wl,-Bsymbolic
 CFLAGS += -fPIC
 endif
