=== debian/changelog ===
enigmail (2:1.8.2-4~deb7u1) wheezy-security; urgency=high

  * Upload requested by security team.

 -- Willi Mann <willi@debian.org>  Sun, 22 Nov 2015 19:35:47 +0100

enigmail (2:1.8.2-4) unstable; urgency=medium

  * pass through {GTK,QT}_IM_MODULE, XMODIFIERS, and
    DBUS_SESSION_BUS_ADDRESS so that modern pinentry works. (Closes: #794627)
  * correct reported version number of enigmail

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Aug 2015 00:23:48 +0200

enigmail (2:1.8.2-3) unstable; urgency=medium

  * Reproducibility:
   - make build date use $SOURCE_DATE_EPOCH when available
   - sort keys for perl-generated .dtd files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 07 Jul 2015 15:48:24 -0400

enigmail (2:1.8.2-2) unstable; urgency=medium

  * upload to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Apr 2015 19:22:15 -0400

enigmail (2:1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * More strongly encourage the use of gnupg2 in Depends and Recommends;
    enigmail 1.9 will make gnupg 2.x a requirement.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Apr 2015 08:57:40 -0400

enigmail (2:1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 28 Mar 2015 15:06:52 -0400

enigmail (2:1.8-1) experimental; urgency=medium

  * New Upstream Release.
  * move from autotools-dev to dh-autoreconf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 17 Mar 2015 16:57:48 -0400
