=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Alexander Sack <asac@debian.org>,
- Willi Mann <willi@debian.org>,
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+           Willi Mann <willi@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 9),
- mozilla-devscripts,
- zip,
- perl,
- python,
- autotools-dev
+               dh-autoreconf,
+               mozilla-devscripts,
+               perl,
+               python,
+               zip
 Standards-Version: 3.9.6
 Homepage: https://www.enigmail.net/
 Vcs-Git: git://git.debian.org/pkg-mozext/enigmail.git
@@ -18,8 +18,8 @@
 
 Package: enigmail
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}, gnupg
-Recommends: gnupg-agent, ${xpi:Recommends}
+Depends: gnupg2 | gnupg, ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
+Recommends: gnupg-agent, gnupg2, pinentry-x11, ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}
