=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
 %:
-	dh $@ --with xul-ext --with autotools-dev
+	dh $@ --with xul-ext --with autoreconf
 
 override_dh_auto_build:
 	dh_auto_build
